# Uses of Enum
com.databricks.jdbc.model.core.Disposition

Packages that use Disposition
Package
Description
com.databricks.jdbc.model.client.sqlexec
com.databricks.jdbc.model.core

## Uses of Disposition in com.databricks.jdbc.model.client.sqlexec

Methods in com.databricks.jdbc.model.client.sqlexec that return Disposition
Modifier and Type
Method
Description
`Disposition`
ExecuteStatementRequest.`getDisposition()`
Methods in com.databricks.jdbc.model.client.sqlexec with parameters of type Disposition
Modifier and Type
Method
Description
`ExecuteStatementRequest`
ExecuteStatementRequest.`setDisposition(Disposition disposition)`

## Uses of Disposition in com.databricks.jdbc.model.core

Subclasses with type arguments of type Disposition in com.databricks.jdbc.model.core
Modifier and Type
Class
Description
`enum`
`Disposition`
Enum to represent the disposition of the result data from SQL Execution API.
Methods in com.databricks.jdbc.model.core that return Disposition
Modifier and Type
Method
Description
`static Disposition`
Disposition.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Disposition[]`
Disposition.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.